using Godot;
using System;

public partial class ResourceUIElement : Control
{
        public virtual void set_color(bool crit) { }
        public virtual void set_data(string _name, Texture2D _icon) {}
        public virtual void set_values(int value, int proxy, int max) {}
        public virtual void alert() {}
}
